package walidacja;

import javax.xml.XMLConstants;
import javax.xml.transform.stream.StreamSource;
import javax.xml.validation.Schema;
import javax.xml.validation.SchemaFactory;
import javax.xml.validation.Validator;

public class WalidujWaluty1 {
    // W tej wersji w przypadku błędu walidacji program zostanie przerwany wyjątkiem.
    public static void main(String[] args) {
        String plikXML = "waluty_2022.xml";
        String plikXSD = "waluty.xsd";
        System.out.println("Początek programu");

        try {
            SchemaFactory sf = SchemaFactory.newInstance(XMLConstants.W3C_XML_SCHEMA_NS_URI);
            Schema schema = sf.newSchema(new StreamSource(plikXSD));
            Validator validator = schema.newValidator();

            System.out.println("Start walidacji");
            validator.validate(new StreamSource(plikXML));

            System.out.println("Koniec - dokument prawidłowy");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
